org.springframework.ldap.filter

## Class EqualsFilter

- java.lang.Object
- - org.springframework.ldap.filter.AbstractFilter
  - - org.springframework.ldap.filter.CompareFilter
    - - org.springframework.ldap.filter.EqualsFilter

- All Implemented Interfaces:
    Filter
  Direct Known Subclasses:
    LikeFilter, WhitespaceWildcardsFilter

      public class EqualsFilter
      extends CompareFilter

  A filter for 'equals'. The following code:

       EqualsFilter filter = new EqualsFilter("cn", "Some CN");
       System.out.println(filter.encode());

  would result in:

       (cn=Some CN)

  Author:
    Adam Skogman

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EqualsFilter(String attribute, int value)` Convenience constructor for int values.
    `EqualsFilter(String attribute, String value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getCompareString()` Implement this method in subclass to return a String representing the operator.

    - ### Methods inherited from class org.springframework.ldap.filter.CompareFilter

      `encode, encodeValue, equals, hashCode`

    - ### Methods inherited from class org.springframework.ldap.filter.AbstractFilter

      `encode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EqualsFilter

          public EqualsFilter(String attribute,
                              String value)

    - #### EqualsFilter

          public EqualsFilter(String attribute,
                              int value)

      Convenience constructor for int values.
      Parameters:
        `attribute` - Name of attribute in filter.
        `value` - The value of the attribute in the filter.

  - ### Method Detail

    - #### getCompareString

          protected String getCompareString()

      Description copied from class: `CompareFilter`
      Implement this method in subclass to return a String representing the operator. The `getCompareString()` would for example return an equals sign, "=".
      Specified by:
        `getCompareString` in class `CompareFilter`
      Returns:
        the String to use as operator in the comparison for the specific subclass.